System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.Component System.ComponentModel.ISupportInitialize System.Diagnostics.MonitoringDescription("Represents an event log") System.ComponentModel.InstallerType(typeof(System.Diagnostics.EventLogInstaller)) System.ComponentModel.DefaultEvent("EntryWritten") To be added To be added
- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'string'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'string'
  To be added: an object of type 'string'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'string'
  To be added: an object of type 'string'
  To be added: an object of type 'string'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0 System.Obsolete("use CreateEventSource(EventSourceCreationData) instead")
- Method
  System.Void `` To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'bool' To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("If enabled raises event when a log is written.") System.ComponentModel.DefaultValue(false) System.ComponentModel.Browsable(false)
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Diagnostics.EventLogEntryCollection To be added To be added: an object of type 'EventLogEntryCollection' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The entries in the log.") System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Event
  System.Diagnostics.EntryWrittenEventHandler To be added To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("Raised for each EventLog entry written.")
- Method
  System.Boolean `` To be added: an object of type 'string' To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Diagnostics.EventLog[] To be added To be added: an object of type 'EventLog []' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Diagnostics.EventLog[] `` To be added: an object of type 'string' To be added To be added: an object of type 'EventLog []' To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("Name of the log that is read and written.") System.ComponentModel.TypeConverter("System.Diagnostics.Design.LogConverter, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.RecommendedAsConfigurable(true) System.ComponentModel.DefaultValue("") System.ComponentModel.ReadOnly(true)
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false)
- Method
  System.String `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("Name of the machine that this log get written to.") System.ComponentModel.RecommendedAsConfigurable(true) System.ComponentModel.DefaultValue(".") System.ComponentModel.ReadOnly(true)
- Property
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
  System.Runtime.InteropServices.ComVisible(false)
  System.Int64 To be added. To be added. To be added.
- Property
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.Runtime.InteropServices.ComVisible(false)
  System.Int32 To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.ComponentModel.Browsable(false)
  System.Runtime.InteropServices.ComVisible(false)
  System.Diagnostics.OverflowAction To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("The application name that writes the log.") System.ComponentModel.TypeConverter("System.Diagnostics.Design.StringValueConverter, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.RecommendedAsConfigurable(true) System.ComponentModel.DefaultValue("") System.ComponentModel.ReadOnly(true)
- Method
  System.Boolean `` To be added: an object of type 'string' To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0
- Property
  System.ComponentModel.ISynchronizeInvoke To be added To be added: an object of type 'ComponentModel.ISynchronizeInvoke' To be added 1.0.5000.0 2.0.0.0 System.Diagnostics.MonitoringDescription("An object that synchronizes event handler calls.") System.ComponentModel.DefaultValue(null) System.ComponentModel.Browsable(false)
- Method
  System.Void `` To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'string' To be added: an object of type 'EventLogEntryType' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added: an object of type 'string' To be added: an object of type 'EventLogEntryType' To be added: an object of type 'int' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added: an object of type 'EventLogEntryType' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` To be added: an object of type 'string' To be added: an object of type 'EventLogEntryType' To be added: an object of type 'int' To be added: an object of type 'short' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added: an object of type 'EventLogEntryType' To be added: an object of type 'int' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added: an object of type 'string' To be added: an object of type 'EventLogEntryType' To be added: an object of type 'int' To be added: an object of type 'short' To be added: an object of type 'byte []' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added: an object of type 'EventLogEntryType' To be added: an object of type 'int' To be added: an object of type 'short' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added: an object of type 'EventLogEntryType' To be added: an object of type 'int' To be added: an object of type 'short' To be added: an object of type 'byte []' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `System.ParamArray` To be added. To be added. To be added. To be added. System.Runtime.InteropServices.ComVisible(false)
- Method
  2.0.0.0
  System.Void `` `` `System.ParamArray` To be added. To be added. To be added. To be added. To be added. System.Runtime.InteropServices.ComVisible(false)
- Method
  2.0.0.0
  System.Void `` `` `System.ParamArray` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` `` `System.ParamArray` To be added. To be added. To be added. To be added. To be added. To be added.